org.richfaces.component

## Enum UIFileUpload.Properties

- java.lang.Object
- - java.lang.Enum<UIFileUpload.Properties>
  - - org.richfaces.component.UIFileUpload.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIFileUpload.Properties>
  Enclosing class:
    UIFileUpload

      protected static enum UIFileUpload.Properties
      extends Enum<UIFileUpload.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `acceptedTypes`
    `addLabel`
    `clearAllLabel`
    `clearLabel`
    `data`
    `deleteLabel`
    `dir`
    `disabled`
    `doneLabel`
    `execute`
    `fileUploadListener`
    `immediateUpload`
    `lang`
    `limitRender`
    `listHeight`
    `maxFileSize`
    `maxFilesQuantity`
    `noDuplicate`
    `onbeforedomupdate`
    `onbegin`
    `onclear`
    `onclick`
    `oncomplete`
    `ondblclick`
    `onerror`
    `onfileselect`
    `onfilesubmit`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `onsizerejected`
    `ontyperejected`
    `onuploadcomplete`
    `render`
    `resetValues`
    `serverErrorLabel`
    `sizeExceededLabel`
    `status`
    `style`
    `styleClass`
    `title`
    `uploadLabel`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIFileUpload.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIFileUpload.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### acceptedTypes

          public static final UIFileUpload.Properties acceptedTypes

    - #### addLabel

          public static final UIFileUpload.Properties addLabel

    - #### clearAllLabel

          public static final UIFileUpload.Properties clearAllLabel

    - #### clearLabel

          public static final UIFileUpload.Properties clearLabel

    - #### data

          public static final UIFileUpload.Properties data

    - #### deleteLabel

          public static final UIFileUpload.Properties deleteLabel

    - #### dir

          public static final UIFileUpload.Properties dir

    - #### disabled

          public static final UIFileUpload.Properties disabled

    - #### doneLabel

          public static final UIFileUpload.Properties doneLabel

    - #### execute

          public static final UIFileUpload.Properties execute

    - #### fileUploadListener

          public static final UIFileUpload.Properties fileUploadListener

    - #### immediateUpload

          public static final UIFileUpload.Properties immediateUpload

    - #### lang

          public static final UIFileUpload.Properties lang

    - #### limitRender

          public static final UIFileUpload.Properties limitRender

    - #### listHeight

          public static final UIFileUpload.Properties listHeight

    - #### maxFileSize

          public static final UIFileUpload.Properties maxFileSize

    - #### maxFilesQuantity

          public static final UIFileUpload.Properties maxFilesQuantity

    - #### noDuplicate

          public static final UIFileUpload.Properties noDuplicate

    - #### onbeforedomupdate

          public static final UIFileUpload.Properties onbeforedomupdate

    - #### onbegin

          public static final UIFileUpload.Properties onbegin

    - #### onclear

          public static final UIFileUpload.Properties onclear

    - #### onclick

          public static final UIFileUpload.Properties onclick

    - #### oncomplete

          public static final UIFileUpload.Properties oncomplete

    - #### ondblclick

          public static final UIFileUpload.Properties ondblclick

    - #### onerror

          public static final UIFileUpload.Properties onerror

    - #### onfileselect

          public static final UIFileUpload.Properties onfileselect

    - #### onfilesubmit

          public static final UIFileUpload.Properties onfilesubmit

    - #### onkeydown

          public static final UIFileUpload.Properties onkeydown

    - #### onkeypress

          public static final UIFileUpload.Properties onkeypress

    - #### onkeyup

          public static final UIFileUpload.Properties onkeyup

    - #### onmousedown

          public static final UIFileUpload.Properties onmousedown

    - #### onmousemove

          public static final UIFileUpload.Properties onmousemove

    - #### onmouseout

          public static final UIFileUpload.Properties onmouseout

    - #### onmouseover

          public static final UIFileUpload.Properties onmouseover

    - #### onmouseup

          public static final UIFileUpload.Properties onmouseup

    - #### onsizerejected

          public static final UIFileUpload.Properties onsizerejected

    - #### ontyperejected

          public static final UIFileUpload.Properties ontyperejected

    - #### onuploadcomplete

          public static final UIFileUpload.Properties onuploadcomplete

    - #### render

          public static final UIFileUpload.Properties render

    - #### resetValues

          public static final UIFileUpload.Properties resetValues

    - #### serverErrorLabel

          public static final UIFileUpload.Properties serverErrorLabel

    - #### sizeExceededLabel

          public static final UIFileUpload.Properties sizeExceededLabel

    - #### status

          public static final UIFileUpload.Properties status

    - #### style

          public static final UIFileUpload.Properties style

    - #### styleClass

          public static final UIFileUpload.Properties styleClass

    - #### title

          public static final UIFileUpload.Properties title

    - #### uploadLabel

          public static final UIFileUpload.Properties uploadLabel

  - ### Method Detail

    - #### values

          public static UIFileUpload.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIFileUpload.Properties c : UIFileUpload.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIFileUpload.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.